## ros-kinetic-fiducial-msgs 0.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(fiducial_msgs)

find_package(catkin REQUIRED COMPONENTS
  sensor_msgs
  std_msgs
  geometry_msgs
  tf
  message_generation
)

add_message_files(
   FILES
   Fiducial.msg
   FiducialArray.msg
   FiducialTransform.msg
   FiducialTransformArray.msg
   FiducialMapEntry.msg
   FiducialMapEntryArray.msg
)

add_service_files(
  FILES
  InitializeMap.srv
)

generate_messages(
  DEPENDENCIES 
  std_msgs 
  geometry_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

install(TARGETS
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-fiducial-msgs (0.11.0-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 May 2019 07:00:00 -0000

ros-kinetic-fiducial-msgs (0.10.0-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sat, 13 Oct 2018 07:00:00 -0000

ros-kinetic-fiducial-msgs (0.9.0-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 12 Sep 2018 07:00:00 -0000

ros-kinetic-fiducial-msgs (0.8.4-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-kinetic-fiducial-msgs (0.8.3-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Mon, 26 Feb 2018 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.8.2-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 14 Feb 2018 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.8.1-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 Jan 2018 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.8.0-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 14 Jan 2018 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.7.5-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 06 Dec 2017 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.7.4-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 Nov 2017 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.7.3-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 16 Jul 2017 07:00:00 -0000

ros-kinetic-fiducial-msgs (0.7.2-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 24 May 2017 07:00:00 -0000

ros-kinetic-fiducial-msgs (0.7.1-1xenial) xenial; urgency=high

  * Remove opencv dep from fiducial_msgs; add fiducial_msgs dep to fiducial_pose
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Mon, 22 May 2017 07:00:00 -0000

ros-kinetic-fiducial-msgs (0.7.0-1xenial) xenial; urgency=high

  * Moved all service and message definitions to fiducial_msgs
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 May 2017 07:00:00 -0000

ros-kinetic-fiducial-msgs (0.6.1-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.6.0-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sat, 04 Feb 2017 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.5.1-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 28 Dec 2016 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.5.0-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sat, 17 Dec 2016 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.1.2-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 20 Nov 2016 08:00:00 -0000

ros-kinetic-fiducial-msgs (0.1.1-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sat, 19 Nov 2016 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-fiducial-msgs
Section: misc
Priority: extra
Maintainer: Jim Vaughan <jimv@mrjim.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-fiducial-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Description: Package containing message definitions for fiducials

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fiducial-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
